> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup 3DS

> Using device collection data, performs a lookup for an External Card Transfer 3DS authentication. The results will indicate whether the transfer is successfully authenticated or if a 3DS challenge is required.




## OpenAPI

````yaml openapi-v1.json post /external_cards/lookup_3ds
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /external_cards/lookup_3ds:
    post:
      tags:
        - External Cards
      summary: Lookup 3DS
      description: >
        Using device collection data, performs a lookup for an External Card
        Transfer 3DS authentication. The results will indicate whether the
        transfer is successfully authenticated or if a 3DS challenge is
        required.
      operationId: lookup3DS
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/lookup_3ds_request'
        description: Details of the External Card Transfer 3DS authentication lookup.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/lookup_3ds_response'
          description: External Card Transfer 3DS authentication lookup complete
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    lookup_3ds_request:
      discriminator:
        mapping:
          BROWSER:
            $ref: '#/components/schemas/lookup_3ds_request_browser'
          SDK:
            $ref: '#/components/schemas/lookup_3ds_request_sdk'
        propertyName: device_channel
      oneOf:
        - $ref: '#/components/schemas/lookup_3ds_request_browser'
        - $ref: '#/components/schemas/lookup_3ds_request_sdk'
      type: object
    lookup_3ds_response:
      description: >-
        Details for an External Card Transfer 3-D Secure Authentication lookup
        response
      properties:
        challenge_payload:
          description: 3DS challenge payload, returned if challenge is required
          type: string
        challenge_url:
          description: 3DS challenge URL, returned if challenge is required
          format: uri
          type: string
        id:
          description: The unique identifier of the 3DS authentication
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        processor_transaction_id:
          description: Processor Transaction ID, returned if challenge is required
          type: string
        status:
          description: Status of the 3DS authentication
          enum:
            - CHALLENGE_REQUIRED
            - FAILED
            - NOT_ENROLLED
            - SUCCESS
            - UNKNOWN
          type: string
      required:
        - id
        - status
      type: object
    lookup_3ds_request_browser:
      allOf:
        - properties:
            device_details:
              $ref: '#/components/schemas/device_details'
          type: object
        - $ref: '#/components/schemas/lookup_3ds_request_base'
      description: >-
        Details for an External Card Transfer 3-D Secure Authentication lookup
        request using a browser
      title: Browser
      type: object
    lookup_3ds_request_sdk:
      allOf:
        - $ref: '#/components/schemas/lookup_3ds_request_base'
      description: >-
        Details for an External Card Transfer 3-D Secure Authentication lookup
        request using a SDK
      title: SDK
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    device_details:
      description: >-
        Optionally provided browser device details, used as a fallback in case
        there is an issue with Device Data Collection. Note that minimal field
        validation is performed.
      properties:
        color_depth:
          description: The device's color palette bit depth, in bits per pixel
          example: 24
          maximum: 99
          minimum: 1
          type: integer
        header:
          description: The exact contents of the browser's HTTP accept headers
          example: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
          type: string
        ip_address:
          description: The device's IP address (either IPv4 or IPv6 formats are acceptable)
          example: 1.12.123.255
          type: string
        java_enabled:
          description: >-
            If the browser has the ability to execute Java (value returned from
            `navigator.javaEnabled` property)
          type: boolean
        javascript_enabled:
          description: >-
            If the browser has the ability to execute JavaScript (value returned
            from `navigator.javaScriptEnabled` property)
          type: boolean
        language:
          description: The browser's language as defined in IETF BCP47
          example: en-US
          type: string
        screen_height:
          description: The total height of the device's screen, in pixels
          example: 1080
          maximum: 999999
          minimum: 1
          type: integer
        screen_width:
          description: The total width of the device's screen, in pixels
          example: 1920
          maximum: 999999
          minimum: 1
          type: integer
        timezone:
          description: The offset from UTC of the device's local timezone, in minutes
          example: -300
          maximum: 840
          minimum: -840
          type: integer
        user_agent:
          description: The exact contents of the HTTP user agent header
          example: >-
            Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
            like Gecko) Chrome/71.0.3578.98 Safari/537.36
          type: string
      required:
        - color_depth
        - header
        - ip_address
        - java_enabled
        - javascript_enabled
        - language
        - screen_height
        - screen_width
        - timezone
        - user_agent
      type: object
    lookup_3ds_request_base:
      description: >-
        Details for an External Card Transfer 3-D Secure Authentication lookup
        request
      properties:
        authentication_indicator:
          enum:
            - INSTALLMENT
            - PAYMENT
            - RECURRING
          type: string
        device_channel:
          description: |
            Channel through which Device Data Collection was performed

            Channel | Description
            --- | ---
            `BROWSER` | Internet browser
            `SDK` | Mobile app
          enum:
            - BROWSER
            - SDK
          example: BROWSER
          type: string
        id:
          description: The unique identifier of the 3DS authentication
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        transaction_mode:
          enum:
            - COMPUTER_DEVICE
            - MOBILE_DEVICE
            - TABLET_DEVICE
          type: string
      required:
        - authentication_indicator
        - device_channel
        - id
        - transaction_mode
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````